{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}

{% block content %}

<div class="box box-primary">
    <head>
        <title>{% block title %}{% if sell_thru %} Edit Scheme Sell Through {% else %} Create Scheme Sell Through {% endif%} {% endblock %}</title>
    </head>
    <div class="box-header with-border">
        <span id="btn-back" class="glyphicon glyphicon-circle-arrow-left"></span>
        {% if sell_thru %}
        <h3 class="box-title"> <p>Edit Scheme Sell Through</p> </h3>
        {% else %}
        <h3 class="box-title"><p>Create Scheme Sell Through</p> </h3>
        {% endif %}
    </div>

    <form id="myForm" method="post" novalidate>
        {% csrf_token %}

        <div class="box-body">


            <!--<div class="form-group col-md-12 col-sm-12">-->
                <!--{{scheme_sell_through_create_form.brand|as_crispy_field}}-->
            <!--</div>-->

            <div class="form-group col-md-12 col-sm-12">
                {{scheme_sell_through_create_form.state_code|as_crispy_field}}
            </div>

            <div class="form-group col-md-12 col-sm-12">
                {{scheme_sell_through_create_form.city_code|as_crispy_field}}
            </div>

            <div class="form-group col-md-12 col-sm-12">
                {% if sell_thru %}
                <div class="form-group">
                    <label class="control-label ">SKU Code</label>
                    <div class="controls ">
                        <input type="text" value="{{sell_thru.product.sku_code}}"
                               class="form-control" name="product" readonly>
                        <input type="hidden" name="product" value="{{sell_thru.product.product_id}}"/>
                    </div>
                </div>
                {% else %}
                <div class="form-group">
                    <label class="control-label">SKU Code*({{item}})</label>
                    <div class="controls ">
                        <select id="id_product" class="select form-control" name="product">
                            <option value="">---------</option>
                            {% for sku in products %}
                            <option {% if item == sku.product_id %}selected{% endif %} value="{{sku.product_id}}">
                                {{ sku.sku_code }}
                            </option>
                            {% endfor %}
                        </select>
                    </div>
                </div>
                {% endif %}
            </div>


            <div class="form-group col-md-12 col-sm-12">
                    <input type="hidden" name="brand" id="txtbrand">
                {{scheme_sell_through_create_form.discount_percent|as_crispy_field}}
            </div>

            <div class="form-group col-md-12 col-sm-12">
                {{scheme_sell_through_create_form.discount_amount|as_crispy_field}}
            </div>

            <div class="form-group col-md-12 col-sm-12">
                {{scheme_sell_through_create_form.scheme_start_date|as_crispy_field}}
            </div>

            <div class="form-group col-md-12 col-sm-12">
                {{scheme_sell_through_create_form.scheme_end_date|as_crispy_field}}
            </div>

            <div class="form-group col-md-12 col-sm-12">
                {{scheme_sell_through_create_form.scheme_name|as_crispy_field}}
            </div>

            <div class="form-group col-md-12 col-sm-12">
                {{scheme_sell_through_create_form.scheme_code|as_crispy_field}}
            </div>

            <div class="form-group col-md-12 col-sm-12 text-right">
                <input type="submit" value="Submit" class="btn btn-primary"/>
            </div>
        </div>
    </form>
</div>

{% endblock %}

{% block extra_script_block %}
    {{block.super}}
    <script>
        $(document).ready(function(){
            $('select').select2();

            $('#txtbrand').val($("#top_brand").val());

            $("#id_state_code").change(function(){
                var url = '/master/get/states/'+$(this).val();
                $.ajax({
                    type:'get',
                    url:url,
                    success: function(res){
                        $("#id_city_code option").remove();
                        $("#id_city_code").append(res);
                        $('select').select2();
                    }
                });
            });

            $("#myForm").submit(function(event) {

                if($('#id_product').val() == ""){
                    $('#id_product').parent().parent().addClass('has-error')
                    $('#error_1_id_product').remove();
                    $('#id_product').parent().append('<p id="error_1_id_product" class="help-block"><strong>This field is required.</strong></p>');
                    return false;
                }
                else {
                    $('#id_product').parent().parent().removeClass('has-error')
                    $('#error_1_id_product').remove();
                    return true;
                }
            });
        });
    </script>
{% endblock %}
